/* fonts */
@import url(https://fonts.googleapis.com/css2?family=Fira+Code:wght@300;400;500;600;700&display=swap);
@import url(https://fonts.googleapis.com/css2?family=Poppins:wght@300;500&display=swap);

/* common */
* {
  margin: 0;
  /*padding: 0;*/
  box-sizing: border-box;
  font-family: Fira Code;
  outline: none;
}
body {
  font-size: 16px;
  color: var(--bgtext);
  background-color: var(--bg);
  --bg: #282c34;
  --bglight: #50555e;
  --bgdark: #00000d;
  --bgtext: #ffffff;
  --prim: #ff3a3d;
  --primlight: #ff7368;
  --primdark: #c40015;
  --primtext: #000000;
}

#root,
.app,
body,
html {
  min-height: 100vh;
}

body,
header p,
h2,
p a {
  font-family: "Poppins", sans-serif;
}

p {
  margin-block-start: 5px;
  margin-block-end: 5px;
}
p:first-child {
  margin-block-start: 0;
}

a {
  color: var(--primlight);
  text-decoration: none;
  transition: all 0.2s ease;
}
a:hover {
  text-decoration: underline;
  transition: none;
}
a:active {
  color: var(--bgtext);
}
.hidden {
  display: none;
}

/* main content */
main {
  width: 100%;
  overflow: hidden;
}
.content {
  display: grid;
  grid-gap: 3rem;
  grid-auto-flow: row;
  padding: 2rem;
  max-width: 1200px;

  margin-top: 50px;
  margin-left: auto;
  margin-right: auto;
  grid-template-columns: 3fr 4fr;
}
.center {
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}
.brand {
  height: 200px;
  width: 200px;
}

/* buttons */
button {
  margin: 20px 5px;
}
.btn {
  width: 130px;
  height: 40px;
  color: var(--primtext);
  border-radius: 2px;
  font-size: 1.1rem;
  font-weight: 600;
  background-color: var(--primlight);
  transition: all 0.2s ease;
  cursor: pointer;
  display: inline-block;
  border: none;
}
.btn:hover:enabled {
  background: transparent;
  color: var(--primlight);
  border: 3px solid var(--primlight);
  transition: all 0.2s ease;
}
.btn:active:enabled {
  color: var(--bgtext);
  border: 3px solid var(--bgtext);
}
button:disabled,
button[disabled] {
  background: transparent;
  color: var(--bglight);
  border: 3px solid var(--bglight);
}

/* code and pre*/
pre {
  white-space: pre-wrap;
  background-color: var(--bgdark);
  color: var(--bgtext);
  margin: 2rem 0;
  padding: 1rem;
  border: 1px solid var(--border);
  border-radius: 0.25rem;
}
code {
  background-color: var(--bgdark);
  color: var(--bgtext);
  border-radius: 0.25rem;
  font-size: 85%;
  padding: 0.2em 0.4em;
}
pre > code {
  background-color: transparent;
  padding: 0;
}

/* code colors */
.comment {
  color: var(--bglight);
}
.class {
  color: #e06c75;
}
.string {
  color: #98c379;
}
.literal {
  color: #e5c07b;
}
.method {
  color: #61afef;
}
.keyword {
  color: #c678dd;
}
.field {
  color: #56b6c2;
}
#WIP {
  background-color: #e5c07b48;
}
/*post*/
.news {
  margin-top: 2rem;
  overflow-y: hidden;
}
.news > h3 > a {
  color: Var(--primlight);
}
.fold {
  position: relative;
  height: 300px;
  /*background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 1));*/
}
.foldbtn {
  position: absolute;
  bottom: -15px;
}

/* Accessibility */
@media (max-width: 950px) {
  .content {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 460px) {
  body {
    font-size: 12px;
  }
  .brand {
    height: 150px;
    width: 150px;
  }
  .btn {
    width: 100px;
    height: 30px;
  }
}

.bg-turret-dependencies {
  background: #ecf0f1;
}
.bg-turret-button-download {
  background: #ff7368;
}

.bg-turret-button-documentation {
  background: #50555e;
  color: #282c34;
}

.made-possible-by-text {
  color: #7f8c8d;
}

.eighty-three {
  height: 90vh;
}

.image-height {
  height: calc(100vh / 2);
}

.debug {
  background-color: red;
}
